% JR_MRI_TV_script
%   JR_MRI_script.m runs JR_MRI_wrapper for all six different samplings and
% so reconstructs from the undersampled data using the total variation prior.
%
% See also: JR_MRI_TV_wrapper JR_MRI_TV
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

clear all; clf;

JR_MRI_TV_wrapper('full', 7.97e-03, 1.93e-05)
JR_MRI_TV_wrapper('lines2', 1.00e-04, 7.20e-05)
JR_MRI_TV_wrapper('radial20', 1.93e-03, 7.20e-05)
JR_MRI_TV_wrapper('radial15', 2.68e-04, 1.93e-04)
JR_MRI_TV_wrapper('spiralHigh', 1.49e-03, 3.73e-04)
JR_MRI_TV_wrapper('spiralUni', 1.99e-03, 1.81e-04)