function [K, images] = JR_get_images(x)
% JR_get_images
%   [K, images] = JR_get_images(x) is an auxilliary function to have both 
% cell and list input for some functions.
%
% Input:    
%   x [cell]              
%       images to be converted
%
% Output:    
%   K [int]              
%       number of images converted
%
%   images [cell]              
%       input converted into a cell of images
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

    if iscell(x{1})
        images = x{1};
    else
        images = x;
    end
    
    K = length(images);
end